curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/evidence/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"claim": "string",
"confidence": 7.5,
"depends_on": [
"string"
],
"embedding": [
1.5
],
"evidence_type": "Assertion",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": {
"actor": "string",
"actor_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"timestamp": "2026-08-31T14:22:05Z"
}
Retrieve one evidence node by ID.
Required scope: read
GET
/
api
/
v1
/
evidence
/
{id}
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/evidence/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"claim": "string",
"confidence": 7.5,
"depends_on": [
"string"
],
"embedding": [
1.5
],
"evidence_type": "Assertion",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": {
"actor": "string",
"actor_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"timestamp": "2026-08-31T14:22:05Z"
}
Required scope:
read
Path parameters
string
required
Evidence node ID
Response
EvidenceNode
string
required
The claim or fact this evidence supports
number (float)
required
Confidence in this evidence
string[]
required
IDs of evidence nodes this depends on
number (float)[]
Optional vector embedding for semantic search.
EvidenceType
required
string
required
Unique node ID
EvidenceSourceMeta
required
string (date-time)
required
Timestamp when evidence was recorded
Status codes
| Code | Meaning |
|---|---|
200 | Evidence node |
401 | Unauthorized — missing or invalid credentials |
403 | Forbidden — the key/token lacks the required scope |
404 | Evidence not found |
429 | Rate limited — see Retry-After / X-RateLimit-Reset |
curl --request GET \
--url 'https://api.nsr.stateset.com/api/v1/evidence/{id}' \
--header "X-API-Key: $STATESET_NSR_API_KEY"
{
"claim": "string",
"confidence": 7.5,
"depends_on": [
"string"
],
"embedding": [
1.5
],
"evidence_type": "Assertion",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"source": {
"actor": "string",
"actor_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"metadata": {},
"org_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
},
"timestamp": "2026-08-31T14:22:05Z"
}
Last modified on August 31, 2026